# Example: Simple storage collection
---
value:
  _type: Collection
  count: 2
  total: 2
  offset: 1
  pageSize: 20
  _embedded:
    elements:
      - id: 1337
        _type: Storage
        name: It's no moon
        hasApplicationPassword: true
        configured: true
        createdAt: '2021-12-20T13:37:00.211Z'
        updatedAt: '2021-12-20T13:37:00.211Z'
        _links:
          self:
            href: /api/v3/storages/1337
            title: It's no moon
          type:
            href: urn:openproject-org:api:v3:storages:nextcloud
            title: Nextcloud
          origin:
            href: https://nextcloud.deathstar.rocks/
          open:
            href: https://nextcloud.deathstar.rocks/apps/files
          authorizationState:
            href: urn:openproject-org:api:v3:storages:authorization:FailedAuthorization
            title: Failed Authorization
          authorize:
            href: https://nextcloud.deathstar.rocks/authorize/
            title: Authorize
          projectStorages:
            href: /api/v3/project_storages?filters=[{"storageId":{"operator":"=","values":["1337"]}}]
          oauthApplication:
            href: /api/v3/oauth_application/42
            title: It's no moon (Nextcloud)
          oauthClientCredentials:
            href: /api/v3/oauth_client_credentials/42
      - id: 1338
        _type: Storage
        name: EmpireSharepoint
        tenantId: e36f1dbc-fdae-427e-b61b-0d96ddfb81a4
        driveId: b!FeOZEMfQx0eGQKqVBLcP__BG8mq-4-9FuRqOyk3MXY8Qconfm2i6SKEoCmuGYqQK
        createdAt: '2021-12-20T13:37:00.211Z'
        updatedAt: '2021-12-20T13:37:00.211Z'
        configured: true
        _links:
          self:
            href: /api/v3/storages/1338
            title: EmpireSharepoint
          type:
            href: urn:openproject-org:api:v3:storages:one-drive
            title: OneDrive
          open:
            href: https://empire.sharepoint.com/sites/Documents
          authorizationState:
            href: urn:openproject-org:api:v3:storages:authorization:Connected
            title: Connected
          projectStorages:
            href: /api/v3/project_storages?filters=[{"storageId":{"operator":"=","values":["1338"]}}]
          oauthClientCredentials:
            href: /api/v3/oauth_client_credentials/44
